class GameDialogs
{
    showPrettyMessageBox(message, okText, closeText, callbackFunction, controller, overLayer)
    {
        if (callbackFunction === undefined) callbackFunction = null;
        if (controller === undefined) controller = null;
        if (overLayer === undefined) overLayer = false;

        var dialog = Engine.DialogManagerInstance.getDialog(PrettyMessageBox, overLayer ? Engine.DialogManagerStatics.UseLayer.Over : Engine.DialogManagerStatics.UseLayer.Dialogs);
        dialog.show(message, okText, closeText, callbackFunction, null);

        return dialog;
    }
}
